#ifndef TITLEBAR_H
#define TITLEBAR_H

#include "framelesstitlebar.h"
#include <QMainWindow>

#include <QPushButton>

class TitleBar : public FramelessTitleBar, public QWidget
{
    Q_OBJECT
public:
    TitleBar(QMainWindow* parent);

    void setTitleBarBgColor(const QColor& color1, const QColor& color2, const QColor& color3);
    void setLogoButtonSize(int w, int h);

    void setTitleFontSizeAndColor(int size, const QColor& color, bool bold);
protected:
    void paintEvent(QPaintEvent *);

//    void resizeEvent(QResizeEvent* e);

private:
    void initUI();


private:
    QColor mBarColor1;
    QColor mBarColor2;
    QColor mBarColor3;
};

#endif // TITLEBAR_H
